View Issue Details

IDProjectCategoryView StatusLast Update
0032135Open CASCADEOCCT:Visualizationpublic2023-11-17 02:23
Reporternds Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status feedbackResolutionopen 
Target VersionUnscheduled 
Summary0032135: Visualization - possibility to redefine zoom persistent scale compute in Graphic3d_TransformPers
DescriptionImplement a virtual method to compute scale, that is called for Graphic3d_TMF_ZoomPers mode in Graphic3d_TransformPers.

The purpose is to be able to redefine it in an inheritance.
TagsNo tags attached.
Test case number

Relationships

child of 0032091 closedbugmaster Open CASCADE Visualization - possibility to redefine Graphic3d_TransformPers 

Activities

git

2023-10-27 12:01

administrator   ~0114442

Branch CR32135 has been created by drochalo.

SHA-1: bfed908c8f90669302d504327fb6e2a79fac3ddb


Detailed log of new commits:

Author: drochalo
Date: Fri Oct 27 09:59:40 2023 +0100

    0032135: Visualization - possibility to redefine zoom persistent scale compute in Graphic3d_TransformPers
    
    Added scale factor to Graphic3d_TransformPers.
    Added option to rescale objects with zoom persistence on vdisplay command.

drochalo

2023-10-27 16:51

developer   ~0114444

Last edited: 2023-10-27 16:53

Dear Marina, please review issue.

This solution includes the addition of a scale factor and associated methods to modify this variable (including constructor).
The command "vdisplay" has now an additional option "trsfperszoom" which works when displaying an object with zoom persistence.
Added test bug32135 in v3d/trsf.

Tests on Jenkins: http://jenkins-test-10.nnov.opencascade.com/view/CR32135-master-drochalo/view/COMPARE/

mzernova

2023-11-17 02:23

developer   ~0114605

The issue was mixed up with CR32091 (https://tracker.dev.opencascade.org/view.php?id=32091)
It's resolved, please close it.

Issue History

Date Modified Username Field Change
2021-02-16 17:52 nds New Issue
2021-02-16 17:52 nds Assigned To => nds
2021-02-16 17:56 nds Relationship added child of 0032091
2021-08-24 14:19 kgv Target Version 7.6.0 => 7.7.0
2022-08-17 11:57 kgv Target Version 7.7.0 => 7.8.0
2023-08-01 15:09 dpasukhi Target Version 7.8.0 => Unscheduled
2023-10-25 14:10 drochalo Assigned To nds => drochalo
2023-10-27 12:01 git Note Added: 0114442
2023-10-27 16:51 drochalo Status new => feedback
2023-10-27 16:51 drochalo Note Added: 0114444
2023-10-27 16:52 drochalo Assigned To drochalo => mzernova
2023-10-27 16:53 drochalo Note Edited: 0114444
2023-10-27 16:56 drochalo Status feedback => resolved
2023-11-17 02:23 mzernova Note Added: 0114605
2023-11-17 02:23 mzernova Assigned To mzernova => bugmaster
2023-11-17 02:23 mzernova Status resolved => feedback